Skip to main content
GET
/
api
/
v1
/
llm
/
batches
Typescript (SDK)
import { SDK } from "@meetkai/mka1";

const sdk = new SDK({
  bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await sdk.llm.batches.list({});

  console.log(result);
}

run();
{
  "object": "list",
  "data": [
    {
      "id": "batch_aa87e2b1112a455b8deabed784372198",
      "object": "batch",
      "endpoint": "/v1/chat/completions",
      "errors": null,
      "input_file_id": "file_abc123",
      "completion_window": "24h",
      "status": "completed",
      "output_file_id": "file_def456",
      "error_file_id": null,
      "created_at": 1704067200,
      "in_progress_at": 1704067260,
      "expires_at": 1704153600,
      "finalizing_at": 1704070800,
      "completed_at": 1704070860,
      "failed_at": null,
      "expired_at": null,
      "cancelling_at": null,
      "cancelled_at": null,
      "request_counts": {
        "total": 3,
        "completed": 3,
        "failed": 0
      },
      "metadata": {
        "description": "evaluation job"
      }
    }
  ],
  "first_id": "batch_aa87e2b1112a455b8deabed784372198",
  "last_id": "batch_aa87e2b1112a455b8deabed784372198",
  "has_more": false
}

Authorizations

Authorization
string
header
required

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Query Parameters

after
string
limit
integer
default:20
Required range: 1 <= x <= 100

Response

200 - application/json

OK

object
any
required
data
object[]
required
has_more
boolean
required
first_id
string
last_id
string